
// contain filter {{column}}
func Filter{{column}}Contains(i *Item, s string) bool {
	for _, v := range i.{{column}} {
		vs := {{column}}.GetValue(v)
		return strings.Contains(vs, s)
	}
	return false
}

// startswith filter {{column}}
func Filter{{column}}StartsWith(i *Item, s string) bool {
	for _, v := range i.{{column}} {
		vs := {{column}}.GetValue(v)
		return strings.HasPrefix(vs, s)
	}
	return false

}

// match filters {{column}}
func Filter{{column}}Match(i *Item, s string) bool {
	for _, v := range i.{{column}} {
		vs := {{column}}.GetValue(v)
		return vs == s
	}
	return false
}

// gte filters {{column}}
func Filter{{column}}gte(i *Item, s string) bool {
	for _, v := range i.{{column}} {
		vs := {{column}}.GetValue(v)
		return vs >= s
	}
	return false
}

// lte filters {{column}}
func Filter{{column}}lte(i *Item, s string) bool {
	for _, v := range i.{{column}} {
		vs := {{column}}.GetValue(v)
		return vs <= s
	}
	return false
}


// getter {{column}}
func Getters{{column}}(i *Item) string {
	return {{column}}.GetArrayValue(i.{{column}})
}


